#交叉编译工具开关
SET(CROSS_COMPILE 0)

IF(CROSS_COMPILE) 

#设置交叉编译工具信息
SET(CMAKE_SYSTEM_NAME linux_arm)
SET(TOOLCHAIN_DIR /gcc-linaro)
SET(CMAKE_C_COMPILER ${TOOLCHAIN_DIR}/bin/arm-linux-gnueabi-gcc)
SET(CMAKE_CXX_COMPILER ${TOOLCHAIN_DIR}/bin/arm-linux-gnueabi-g++)

#设置依赖库的目录 比如openssl
set(LIB_INSTALL_DIR "/root/git/openssl/install/")

#设置依赖库的查找目录
SET(CMAKE_FIND_ROOT_PATH  ${TOOLCHAIN_DIR}
 ${TOOLCHAIN_DIR}/arm-linux-gnueabi/
 ${TOOLCHAIN_DIR}/arm-linux-gnueabi/libc/
 ${LIB_INSTALL_DIR})

#只允许在指定错的目录查找依赖库
SET(CMAKE_FIND_ROOT_PATH_MODE_LIBRARY ONLY)
SET(CMAKE_FIND_ROOT_PATH_MODE_INCLUDE ONLY)

ENDIF(CROSS_COMPILE)
