/*Copyright (c) 2015-2050, JD All rights reserved.

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

      http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License. */

/* --------------------------------------------------
 * @brief: joylink sdk 5.0 头文件，提供一些通用的定义
 *
 * @version: 1.0
 *
 * --------------------------------------------------
 */
#ifndef _JOYLINK_H_
#define _JOYLINK_H_

#ifdef __cplusplus
extern "C"{
#endif /* __cplusplus */

/**
 * @brief  joylink 返回值定义
 */
typedef enum {
    JOYLINK_RET_SUCCESS   = 0,
    JOYLINK_RET_FAILED    = -1,
} JoylinkRetCode_E;
typedef int JoylinkRetCode_t;


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _JOYLINK_H_ */
